/** @file io_functions.cpp
 *
 * Contains C++ functions for printing menus, reading input values, etc.
 * @author Braun
 * @date 8/30/13
 */

#include "io_functions.h"

using namespace std;

/**Prints main program menu
 * @pre  none
 * @post none
 */
void printMenu(){
  cout << "Locker Room Menu" << endl;
  cout << "----------------" << endl;
  cout << "1) Random - each player makes random guesses" << endl;
  cout << "2) Odd/Even - players with odd numbers try odd lockers & vice versa";
  cout << endl;
  cout << "3) Halves - first half of players try first half of lockers" << endl;
  cout << "4) Chain - each player starts with own locker and then goes to\n";
  cout << "           the locker that matches the jersey number inside" << endl;
}

/**Reads, validates, and returns a positive integer
 * @pre  User has been prompted to enter an integer
 * @post none
 * @return positive integer value
 */
int getInt(){
  int intValue = 0;
  string inputStr;
  do{
    getline(cin, inputStr);
    stringstream(inputStr) >> intValue;
    if(intValue < 1) cout << "ERROR - please enter a positive integer> ";
  } while(intValue < 1);
  return intValue;
}
