/** @file lockers.cpp
 *
 * Contains C++ functions to place jerseys randomly in lockers
 * @author Braun
 * @date 8/30/13
 */

#include "lockers.h"

/**Randomly place jerseys into the lockers
 * @pre The lockers are empty.
 * @post Each locker contains a unique random number between 0 and nPlayers-1
 * @param[in/out] lockers array of size nPlayers
 * @param[in] nPlayers contains the number of players and number of lockers.
 */
void placeJerseys(int lockers[], int nplayers){

  //Initialize all lockers as empty
  bool lockerEmpty[nplayers];
  for(int i=0; i<nplayers; i++){
    lockerEmpty[i] = true;
  }

  //Place each player i's jersey into a random locker
  int random; //number of empty lockers to skip over
  int count; //current count of empty lockers
  bool emptyFound;
  srand(time(0));
  for(int i=0; i<nplayers; i++){
    count = 0;
    emptyFound = false;
    random = rand()%(nplayers-i);
    for(int j=0; j<nplayers && !emptyFound; j++){
      if(lockerEmpty[j]){
        if(count < random){
          count++;
        } //end if
        else{
          emptyFound = true;
          lockerEmpty[j] = false;
          lockers[j] = i;
        } //end else
      } //end if
    } //end for j loop
  } //end for i loop
}

