/** @file lockers.h
 *
 * Contains C++ functions to place jerseys randomly in lockers
 * @author Braun
 * @date 8/30/13
 */

#ifndef LOCKERS_H
#define LOCKERS_H
#include <cstdlib>
#include <ctime>

/**Randomly place jerseys into the lockers
 * @pre The lockers are empty.
 * @post Each locker contains a unique random number between 0 and nPlayers-1
 * @param[in/out] lockers array of size nPlayers
 * @param[in] nPlayers contains the number of players and number of lockers.
 */
void placeJerseys(int lockers[], int nplayers);

#endif
